Install error

Permalink Browser Info Environment
Just purchased and downloaded pro, I have standard version installed and working, when I try to install I get the following Class 'RamonLeenders\BlockDesigner\FieldType\FieldType' not found not sure what to do????

1 Attachment

Type: Pre-Sale
Status: In Progress
View Replies:
ramonleenders replied on at Permalink Reply
ramonleenders
Hi there,

Which versions of both are you using/trying to install? What version of PHP are you using? You are the first to come with this issue, so I have to find a way to be able to reproduce the exact issue you are having.

Kind regards,
Ramon
iancole replied on at Permalink Reply 1 Attachment
See attached image for versions.
iancole replied on at Permalink Reply
PHP Version 5.6.40
ramonleenders replied on at Permalink Reply
ramonleenders
Hi there,

You are using an old version of Block Designer, pre 1.0. Current version is version 3. This combination won't work. So if you have a valid license on this site, you should be able to update. If not, then you need to assign a valid license and update Block Designer. After doing so, the Pro version will be compatible.

As for your PHP version, version 5.6, this is a VERY old version. Also a very slow, and currently unsupported, version. It is not recommended to keep using this version. The official concrete5 docs say it is not recommended to use this PHP version in combination with concrete5 -https://documentation.concrete5.org/developers/introduction/system-r...

If you are able to use version 8, that one is recommended. But it could be that if you have multiple Add-Ons that are outdated, that they have parts that won't work as expected. I do advice to look into updating to a newer PHP version as soon as you can.

Kind regards,
Ramon
iancole replied on at Permalink Reply
Thanks for the information, I uninstalled block designer, and then installed version 3.3.0 block designer, went to the Concrete 5 add functionality and it showed version 0.9.5 to install.

Not sure what I have done wrong can you confirm thanks.
ramonleenders replied on at Permalink Reply
ramonleenders
Hi there,

Looks like the license is not correctly attached, since 0.9.5 isn't the last version at all. You should be able to download the latest version... But that's not happening. Something is wrong with the connection to the marketplace. You could manually download and install the latest Block Designer though, if you can't seem to figure out the issue you're having. That will fix the issue, but not sure if you maybe don't get updates for other Add-Ons you've got installed... Perhaps you can get in contact with support of concrete5 to be sure?

Kind regards,

Ramon

concrete5 Environment Information

Whoops\Exception\ErrorException thrown with message "Class 'RamonLeenders\BlockDesigner\FieldType\FieldType' not found"

Stacktrace:
#2 Whoops\Exception\ErrorException in /home/amstrainingcom/public_html/packages/block_designer_pro/src/BlockDesigner/FieldType/OoyalaFieldType/OoyalaFieldType.php:8
#1 Whoops\Run:handleError in /home/amstrainingcom/public_html/concrete/vendor/filp/whoops/src/Whoops/Run.php:434
#0 Whoops\Run:handleShutdown in [internal]:0

Browser User-Agent String

Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0 Safari/605.1.15

Hide Post Content

This will replace the post content with the message: "Content has been removed by an Administrator"

Hide Content

Request Refund

You may not request a refund that is not currently owned by you.